Package ru.bitel.bgbilling.modules.cerbercrypt.server.bean

# Class SynclogManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<SynclogEntry>
ru.bitel.bgbilling.common.dao.AbstractIdDao<SynclogEntry>
ru.bitel.bgbilling.modules.cerbercrypt.server.bean.SynclogManager

public class SynclogManager extends ru.bitel.bgbilling.common.dao.AbstractIdDao<SynclogEntry>
Менеджер логов обмена.

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynclogManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `commit()`
  Коммит текущей транзакции.
  `SynclogEntry`
  `getEntry(int id, Date date)`
  Получение одной записи.
  `protected SynclogEntry`
  `getFromRS(ResultSet rs)`
  `Result<SynclogEntry>`
  `getList(Period period, Page page, int cid, Set<Long> filterNumbers, Set<Integer> filterSuccess)`
  `protected void`
  `updateImpl(SynclogEntry synclogEntry)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SynclogManager

    public SynclogManager(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected SynclogEntry getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<SynclogEntry>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(SynclogEntry synclogEntry) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<SynclogEntry>`
    Throws:
      `SQLException`

  - ### getList

    public Result<SynclogEntry> getList(Period period, Page page, int cid, Set<Long> filterNumbers, Set<Integer> filterSuccess) throws SQLException
    Throws:
      `SQLException`

  - ### commit

    public void commit() throws SQLException
    Коммит текущей транзакции. Сделано ввиду того что при возникновении ошибки генерится экзепшен и запись этой ошибки в БД не произведётся.
    Throws:
      `SQLException`

  - ### getEntry

    public SynclogEntry getEntry(int id, Date date) throws SQLException
    Получение одной записи.
    Parameters:
      `id` - ид записи
      `date` - дата записи (т.к. таблицы периодические)
    Returns:
      запись, всегда не null
    Throws:
      `ru.bitel.bgbilling.common.BGException` - при sql-ошибках (в том числе упадём если нет таблицы за указанный месяц или записи с таким id)
      `SQLException`